Class | SOAP::RPC::CGIStub::SOAPFCGIRequest
In: | soap/rpc/cgistub.rb
Parent: | SOAPRequest

### Methods

[] meta_vars new

### Attributes

body | [R] |

### Public Class methods

new(request)

[Source]

    # File soap/rpc/cgistub.rb, line 61
        def initialize(request)
          @request = request
          @body = @request.in.read
        end

### Public Instance methods

[](var)

[Source]

    # File soap/rpc/cgistub.rb, line 66
        def [](var)
          @request.env[var.gsub(/-/, '_').upcase]
        end

meta_vars()

[Source]

    # File soap/rpc/cgistub.rb, line 70
        def meta_vars
          {
            'HTTP_SOAPACTION' => @request.env['HTTP_SOAPAction']
          }
        end

[Validate]